/confluence-pages | Type: Application | PCID required: Yes
Tools
confluence-pages_create_blog_post
Create blog post Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
private | boolean | No | — | The blog post will be private. Only the user who creates this blog post will have permission to view and edit one. |
body | object | No | — | The body value |
createdAt | string | No | — | Created date of the blog post in the format of “yyyy-MM-ddTHH:mm:ss.SSSZ”. |
spaceId | string | Yes | — | ID of the space |
status | string | No | — | The status of the blog post, specifies if the blog post will be created as a new blog post or a draft |
title | string | No | — | Title of the blog post, required if creating non-draft. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"private": {
"type": "boolean",
"description": "The blog post will be private. Only the user who creates this blog post will have permission to view and edit one."
},
"body": {
"type": "object",
"description": "The body value",
"properties": {
"representation": {
"type": "string",
"description": "Type of content representation used for the value field.",
"enum": [
"storage",
"atlas_doc_format",
"wiki"
]
},
"value": {
"type": "string",
"description": "Body of the blog post, in the format found in the representation field."
}
}
},
"createdAt": {
"type": "string",
"description": "Created date of the blog post in the format of \"yyyy-MM-ddTHH:mm:ss.SSSZ\"."
},
"spaceId": {
"type": "string",
"description": "ID of the space"
},
"status": {
"type": "string",
"description": "The status of the blog post, specifies if the blog post will be created as a new blog post or a draft",
"enum": [
"current",
"draft"
]
},
"title": {
"type": "string",
"description": "Title of the blog post, required if creating non-draft."
}
},
"required": [
"PCID",
"spaceId"
]
}
confluence-pages_create_page
Create page Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
embedded | boolean | No | — | Tag the content as embedded and content will be created in NCS. |
private | boolean | No | — | The page will be private. Only the user who creates this page will have permission to view and edit one. |
root-level | boolean | No | — | The page will be created at the root level of the space (outside the space homepage tree). If true, then a value may not be supplied for the parentId body parameter. |
body | object | No | — | The body value |
parentId | string | No | — | The parent content ID of the page. If the root-level query parameter is set to false and a value is not supplied for this parameter, then the space homepage’s ID will be used. If the root-level query parameter is set to true, then a value may not be supplied for this parameter. |
spaceId | string | Yes | — | ID of the space. |
status | string | No | — | The status of the page, published or draft. |
subtype | string | No | — | The subtype of the page. Provide the subtype live to create a live doc or no subtype to create a page. |
title | string | No | — | Title of the page, required if page status is not draft. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"embedded": {
"type": "boolean",
"description": "Tag the content as embedded and content will be created in NCS."
},
"private": {
"type": "boolean",
"description": "The page will be private. Only the user who creates this page will have permission to view and edit one."
},
"root-level": {
"type": "boolean",
"description": "The page will be created at the root level of the space (outside the space homepage tree). If true, then a value may not be supplied for the `parentId` body parameter."
},
"body": {
"type": "object",
"description": "The body value",
"properties": {
"representation": {
"type": "string",
"description": "Type of content representation used for the value field.",
"enum": [
"storage",
"atlas_doc_format",
"wiki"
]
},
"value": {
"type": "string",
"description": "Body of the page, in the format found in the representation field."
}
}
},
"parentId": {
"type": "string",
"description": "The parent content ID of the page. If the `root-level` query parameter is set to false and a value is not supplied for this parameter, then the space homepage's ID will be used. If the `root-level` query parameter is set to true, then a value may not be supplied for this parameter."
},
"spaceId": {
"type": "string",
"description": "ID of the space."
},
"status": {
"type": "string",
"description": "The status of the page, published or draft.",
"enum": [
"current",
"draft"
]
},
"subtype": {
"type": "string",
"description": "The subtype of the page. Provide the subtype live to create a live doc or no subtype to create a page.",
"enum": [
"live"
]
},
"title": {
"type": "string",
"description": "Title of the page, required if page status is not draft."
}
},
"required": [
"PCID",
"spaceId"
]
}
confluence-pages_delete_blog_post
Delete blog post Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The ID of the blog post to be deleted. |
purge | boolean | No | — | If attempting to purge the blog post. |
draft | boolean | No | — | If attempting to delete a blog post that is a draft. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The ID of the blog post to be deleted."
},
"purge": {
"type": "boolean",
"description": "If attempting to purge the blog post."
},
"draft": {
"type": "boolean",
"description": "If attempting to delete a blog post that is a draft."
}
},
"required": [
"PCID",
"id"
]
}
confluence-pages_delete_page
Delete page Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The ID of the page to be deleted. |
purge | boolean | No | — | If attempting to purge the page. |
draft | boolean | No | — | If attempting to delete a page that is a draft. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The ID of the page to be deleted."
},
"purge": {
"type": "boolean",
"description": "If attempting to purge the page."
},
"draft": {
"type": "boolean",
"description": "If attempting to delete a page that is a draft."
}
},
"required": [
"PCID",
"id"
]
}
confluence-pages_get_blog_post_by_id
Get blog post by id Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The ID of the blog post to be returned. If you don’t know the blog post ID, use Get blog posts and filter the results. |
body-format | string | No | — | The content format types to be returned in the body field of the response. If available, the representation will be available under a response field of the same name under the body field. |
get-draft | boolean | No | — | Retrieve the draft version of this blog post. |
status | string[] | No | — | Filter the blog post being retrieved by its status. |
contentVersion | integer | No | — | Allows you to retrieve a previously published version. Specify the previous version’s number to retrieve its details. |
include-labels | boolean | No | — | Includes labels associated with this blog post in the response. The number of results will be limited to 50 and sorted in the default sort order. A meta and _links property will be present to indicate if more results are available and a link to retrieve the rest of the results. |
include-properties | boolean | No | — | Includes content properties associated with this blog post in the response. The number of results will be limited to 50 and sorted in the default sort order. A meta and _links property will be present to indicate if more results are available and a link to retrieve the rest of the results. |
include-operations | boolean | No | — | Includes operations associated with this blog post in the response, as defined in the Operation object. The number of results will be limited to 50 and sorted in the default sort order. A meta and _links property will be present to indicate if more results are available and a link to retrieve the rest of the results. |
include-likes | boolean | No | — | Includes likes associated with this blog post in the response. The number of results will be limited to 50 and sorted in the default sort order. A meta and _links property will be present to indicate if more results are available and a link to retrieve the rest of the results. |
include-versions | boolean | No | — | Includes versions associated with this blog post in the response. The number of results will be limited to 50 and sorted in the default sort order. A meta and _links property will be present to indicate if more results are available and a link to retrieve the rest of the results. |
include-version | boolean | No | — | Includes the current version associated with this blog post in the response. By default this is included and can be omitted by setting the value to false. |
include-favorited-by-current-user-status | boolean | No | — | Includes whether this blog post has been favorited by the current user. |
include-webresources | boolean | No | — | Includes web resources that can be used to render blog post content on a client. |
include-collaborators | boolean | No | — | Includes collaborators on the blog post. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The ID of the blog post to be returned. If you don't know the blog post ID, use Get blog posts and filter the results."
},
"body-format": {
"type": "string",
"description": "The content format types to be returned in the `body` field of the response. If available, the representation will be available under a response field of the same name under the `body` field.",
"enum": [
"storage",
"atlas_doc_format",
"view",
"export_view",
"anonymous_export_view",
"styled_view",
"editor"
]
},
"get-draft": {
"type": "boolean",
"description": "Retrieve the draft version of this blog post."
},
"status": {
"type": "array",
"items": {
"type": "string",
"enum": [
"current",
"trashed",
"deleted",
"historical",
"draft"
]
},
"description": "Filter the blog post being retrieved by its status."
},
"contentVersion": {
"type": "integer",
"description": "Allows you to retrieve a previously published version. Specify the previous version's number to retrieve its details."
},
"include-labels": {
"type": "boolean",
"description": "Includes labels associated with this blog post in the response. The number of results will be limited to 50 and sorted in the default sort order. A `meta` and `_links` property will be present to indicate if more results are available and a link to retrieve the rest of the results."
},
"include-properties": {
"type": "boolean",
"description": "Includes content properties associated with this blog post in the response. The number of results will be limited to 50 and sorted in the default sort order. A `meta` and `_links` property will be present to indicate if more results are available and a link to retrieve the rest of the results."
},
"include-operations": {
"type": "boolean",
"description": "Includes operations associated with this blog post in the response, as defined in the `Operation` object. The number of results will be limited to 50 and sorted in the default sort order. A `meta` and `_links` property will be present to indicate if more results are available and a link to retrieve the rest of the results."
},
"include-likes": {
"type": "boolean",
"description": "Includes likes associated with this blog post in the response. The number of results will be limited to 50 and sorted in the default sort order. A `meta` and `_links` property will be present to indicate if more results are available and a link to retrieve the rest of the results."
},
"include-versions": {
"type": "boolean",
"description": "Includes versions associated with this blog post in the response. The number of results will be limited to 50 and sorted in the default sort order. A `meta` and `_links` property will be present to indicate if more results are available and a link to retrieve the rest of the results."
},
"include-version": {
"type": "boolean",
"description": "Includes the current version associated with this blog post in the response. By default this is included and can be omitted by setting the value to `false`."
},
"include-favorited-by-current-user-status": {
"type": "boolean",
"description": "Includes whether this blog post has been favorited by the current user."
},
"include-webresources": {
"type": "boolean",
"description": "Includes web resources that can be used to render blog post content on a client."
},
"include-collaborators": {
"type": "boolean",
"description": "Includes collaborators on the blog post."
}
},
"required": [
"PCID",
"id"
]
}
confluence-pages_get_blog_post_versions
Get blog post versions Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The ID of the blog post to be queried for its versions. If you don’t know the blog post ID, use Get blog posts and filter the results. |
body-format | string | No | — | The content format types to be returned in the body field of the response. If available, the representation will be available under a response field of the same name under the body field. |
cursor | string | No | — | Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results. |
limit | integer | No | — | Maximum number of versions per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results. |
sort | string | No | — | Used to sort the result by a particular field. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The ID of the blog post to be queried for its versions. If you don't know the blog post ID, use Get blog posts and filter the results."
},
"body-format": {
"type": "string",
"description": "The content format types to be returned in the `body` field of the response. If available, the representation will be available under a response field of the same name under the `body` field.",
"enum": [
"storage",
"atlas_doc_format"
]
},
"cursor": {
"type": "string",
"description": "Used for pagination, this opaque cursor will be returned in the `next` URL in the `Link` response header. Use the relative URL in the `Link` header to retrieve the `next` set of results."
},
"limit": {
"type": "integer",
"description": "Maximum number of versions per result to return. If more results exist, use the `Link` header to retrieve a relative URL that will return the next set of results."
},
"sort": {
"type": "string",
"description": "Used to sort the result by a particular field.",
"enum": [
"modified-date",
"-modified-date"
]
}
},
"required": [
"PCID",
"id"
]
}
confluence-pages_get_blog_posts
Get blog posts Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer[] | No | — | Filter the results based on blog post ids. Multiple blog post ids can be specified as a comma-separated list. |
space-id | integer[] | No | — | Filter the results based on space ids. Multiple space ids can be specified as a comma-separated list. |
sort | string | No | — | Used to sort the result by a particular field. |
status | string[] | No | — | Filter the results to blog posts based on their status. By default, current is used. |
title | string | No | — | Filter the results to blog posts based on their title. |
body-format | string | No | — | The content format types to be returned in the body field of the response. If available, the representation will be available under a response field of the same name under the body field. |
cursor | string | No | — | Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results. |
limit | integer | No | — | Maximum number of blog posts per result to return. If more results exist, use the Link response header to retrieve a relative URL that will return the next set of results. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "array",
"items": {
"type": "integer",
"format": "int64"
},
"description": "Filter the results based on blog post ids. Multiple blog post ids can be specified as a comma-separated list."
},
"space-id": {
"type": "array",
"items": {
"type": "integer",
"format": "int64"
},
"description": "Filter the results based on space ids. Multiple space ids can be specified as a comma-separated list."
},
"sort": {
"type": "string",
"description": "Used to sort the result by a particular field.",
"enum": [
"id",
"-id",
"created-date",
"-created-date",
"modified-date",
"-modified-date"
]
},
"status": {
"type": "array",
"items": {
"type": "string",
"enum": [
"current",
"deleted",
"trashed"
]
},
"description": "Filter the results to blog posts based on their status. By default, `current` is used."
},
"title": {
"type": "string",
"description": "Filter the results to blog posts based on their title."
},
"body-format": {
"type": "string",
"description": "The content format types to be returned in the `body` field of the response. If available, the representation will be available under a response field of the same name under the `body` field.",
"enum": [
"storage",
"atlas_doc_format"
]
},
"cursor": {
"type": "string",
"description": "Used for pagination, this opaque cursor will be returned in the `next` URL in the `Link` response header. Use the relative URL in the `Link` header to retrieve the `next` set of results."
},
"limit": {
"type": "integer",
"description": "Maximum number of blog posts per result to return. If more results exist, use the `Link` response header to retrieve a relative URL that will return the next set of results."
}
},
"required": [
"PCID"
]
}
confluence-pages_get_blog_posts_in_space
Get blog posts in space Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The ID of the space for which blog posts should be returned. |
sort | string | No | — | Used to sort the result by a particular field. |
status | string[] | No | — | Filter the results to blog posts based on their status. By default, current is used. |
title | string | No | — | Filter the results to blog posts based on their title. |
body-format | string | No | — | The content format types to be returned in the body field of the response. If available, the representation will be available under a response field of the same name under the body field. |
cursor | string | No | — | Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results. |
limit | integer | No | — | Maximum number of blog posts per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The ID of the space for which blog posts should be returned."
},
"sort": {
"type": "string",
"description": "Used to sort the result by a particular field.",
"enum": [
"id",
"-id",
"created-date",
"-created-date",
"modified-date",
"-modified-date"
]
},
"status": {
"type": "array",
"items": {
"type": "string",
"enum": [
"current",
"deleted",
"trashed"
]
},
"description": "Filter the results to blog posts based on their status. By default, `current` is used."
},
"title": {
"type": "string",
"description": "Filter the results to blog posts based on their title."
},
"body-format": {
"type": "string",
"description": "The content format types to be returned in the `body` field of the response. If available, the representation will be available under a response field of the same name under the `body` field.",
"enum": [
"storage",
"atlas_doc_format"
]
},
"cursor": {
"type": "string",
"description": "Used for pagination, this opaque cursor will be returned in the `next` URL in the `Link` response header. Use the relative URL in the `Link` header to retrieve the `next` set of results."
},
"limit": {
"type": "integer",
"description": "Maximum number of blog posts per result to return. If more results exist, use the `Link` header to retrieve a relative URL that will return the next set of results."
}
},
"required": [
"PCID",
"id"
]
}
confluence-pages_get_label_blog_posts
Get blog posts for label Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The ID of the label for which blog posts should be returned. |
space-id | integer[] | No | — | Filter the results based on space ids. Multiple space ids can be specified as a comma-separated list. |
body-format | string | No | — | The content format types to be returned in the body field of the response. If available, the representation will be available under a response field of the same name under the body field. |
sort | string | No | — | Used to sort the result by a particular field. |
cursor | string | No | — | Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results. |
limit | integer | No | — | Maximum number of blog posts per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The ID of the label for which blog posts should be returned."
},
"space-id": {
"type": "array",
"items": {
"type": "integer",
"format": "int64"
},
"description": "Filter the results based on space ids. Multiple space ids can be specified as a comma-separated list."
},
"body-format": {
"type": "string",
"description": "The content format types to be returned in the `body` field of the response. If available, the representation will be available under a response field of the same name under the `body` field.",
"enum": [
"storage",
"atlas_doc_format"
]
},
"sort": {
"type": "string",
"description": "Used to sort the result by a particular field.",
"enum": [
"id",
"-id",
"created-date",
"-created-date",
"modified-date",
"-modified-date"
]
},
"cursor": {
"type": "string",
"description": "Used for pagination, this opaque cursor will be returned in the `next` URL in the `Link` response header. Use the relative URL in the `Link` header to retrieve the `next` set of results."
},
"limit": {
"type": "integer",
"description": "Maximum number of blog posts per result to return. If more results exist, use the `Link` header to retrieve a relative URL that will return the next set of results."
}
},
"required": [
"PCID",
"id"
]
}
confluence-pages_get_label_pages
Get pages for label Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The ID of the label for which pages should be returned. |
space-id | integer[] | No | — | Filter the results based on space ids. Multiple space ids can be specified as a comma-separated list. |
body-format | string | No | — | The content format types to be returned in the body field of the response. If available, the representation will be available under a response field of the same name under the body field. |
sort | string | No | — | Used to sort the result by a particular field. |
cursor | string | No | — | Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results. |
limit | integer | No | — | Maximum number of pages per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The ID of the label for which pages should be returned."
},
"space-id": {
"type": "array",
"items": {
"type": "integer",
"format": "int64"
},
"description": "Filter the results based on space ids. Multiple space ids can be specified as a comma-separated list."
},
"body-format": {
"type": "string",
"description": "The content format types to be returned in the `body` field of the response. If available, the representation will be available under a response field of the same name under the `body` field.",
"enum": [
"storage",
"atlas_doc_format"
]
},
"sort": {
"type": "string",
"description": "Used to sort the result by a particular field.",
"enum": [
"id",
"-id",
"created-date",
"-created-date",
"modified-date",
"-modified-date",
"title",
"-title"
]
},
"cursor": {
"type": "string",
"description": "Used for pagination, this opaque cursor will be returned in the `next` URL in the `Link` response header. Use the relative URL in the `Link` header to retrieve the `next` set of results."
},
"limit": {
"type": "integer",
"description": "Maximum number of pages per result to return. If more results exist, use the `Link` header to retrieve a relative URL that will return the next set of results."
}
},
"required": [
"PCID",
"id"
]
}
confluence-pages_get_page_ancestors
Get all ancestors of page Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The ID of the page. |
limit | integer | No | — | Maximum number of pages per result to return. If more results exist, call this endpoint with the highest ancestor’s ID to fetch the next set of results. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The ID of the page."
},
"limit": {
"type": "integer",
"description": "Maximum number of pages per result to return. If more results exist, call this endpoint with the highest ancestor's ID to fetch the next set of results."
}
},
"required": [
"PCID",
"id"
]
}
confluence-pages_get_page_by_id
Get page by id Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The ID of the page to be returned. If you don’t know the page ID, use Get pages and filter the results. |
body-format | string | No | — | The content format types to be returned in the body field of the response. If available, the representation will be available under a response field of the same name under the body field. |
get-draft | boolean | No | — | Retrieve the draft version of this page. |
status | string[] | No | — | Filter the page being retrieved by its status. |
contentVersion | integer | No | — | Allows you to retrieve a previously published version. Specify the previous version’s number to retrieve its details. |
include-labels | boolean | No | — | Includes labels associated with this page in the response. The number of results will be limited to 50 and sorted in the default sort order. A meta and _links property will be present to indicate if more results are available and a link to retrieve the rest of the results. |
include-properties | boolean | No | — | Includes content properties associated with this page in the response. The number of results will be limited to 50 and sorted in the default sort order. A meta and _links property will be present to indicate if more results are available and a link to retrieve the rest of the results. |
include-operations | boolean | No | — | Includes operations associated with this page in the response, as defined in the Operation object. The number of results will be limited to 50 and sorted in the default sort order. A meta and _links property will be present to indicate if more results are available and a link to retrieve the rest of the results. |
include-likes | boolean | No | — | Includes likes associated with this page in the response. The number of results will be limited to 50 and sorted in the default sort order. A meta and _links property will be present to indicate if more results are available and a link to retrieve the rest of the results. |
include-versions | boolean | No | — | Includes versions associated with this page in the response. The number of results will be limited to 50 and sorted in the default sort order. A meta and _links property will be present to indicate if more results are available and a link to retrieve the rest of the results. |
include-version | boolean | No | — | Includes the current version associated with this page in the response. By default this is included and can be omitted by setting the value to false. |
include-favorited-by-current-user-status | boolean | No | — | Includes whether this page has been favorited by the current user. |
include-webresources | boolean | No | — | Includes web resources that can be used to render page content on a client. |
include-collaborators | boolean | No | — | Includes collaborators on the page. |
include-direct-children | boolean | No | — | Includes direct children of the page, as defined in the ChildrenResponse object. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The ID of the page to be returned. If you don't know the page ID, use Get pages and filter the results."
},
"body-format": {
"type": "string",
"description": "The content format types to be returned in the `body` field of the response. If available, the representation will be available under a response field of the same name under the `body` field.",
"enum": [
"storage",
"atlas_doc_format",
"view",
"export_view",
"anonymous_export_view",
"styled_view",
"editor"
]
},
"get-draft": {
"type": "boolean",
"description": "Retrieve the draft version of this page."
},
"status": {
"type": "array",
"items": {
"type": "string",
"enum": [
"current",
"archived",
"trashed",
"deleted",
"historical",
"draft"
]
},
"description": "Filter the page being retrieved by its status."
},
"contentVersion": {
"type": "integer",
"description": "Allows you to retrieve a previously published version. Specify the previous version's number to retrieve its details."
},
"include-labels": {
"type": "boolean",
"description": "Includes labels associated with this page in the response. The number of results will be limited to 50 and sorted in the default sort order. A `meta` and `_links` property will be present to indicate if more results are available and a link to retrieve the rest of the results."
},
"include-properties": {
"type": "boolean",
"description": "Includes content properties associated with this page in the response. The number of results will be limited to 50 and sorted in the default sort order. A `meta` and `_links` property will be present to indicate if more results are available and a link to retrieve the rest of the results."
},
"include-operations": {
"type": "boolean",
"description": "Includes operations associated with this page in the response, as defined in the `Operation` object. The number of results will be limited to 50 and sorted in the default sort order. A `meta` and `_links` property will be present to indicate if more results are available and a link to retrieve the rest of the results."
},
"include-likes": {
"type": "boolean",
"description": "Includes likes associated with this page in the response. The number of results will be limited to 50 and sorted in the default sort order. A `meta` and `_links` property will be present to indicate if more results are available and a link to retrieve the rest of the results."
},
"include-versions": {
"type": "boolean",
"description": "Includes versions associated with this page in the response. The number of results will be limited to 50 and sorted in the default sort order. A `meta` and `_links` property will be present to indicate if more results are available and a link to retrieve the rest of the results."
},
"include-version": {
"type": "boolean",
"description": "Includes the current version associated with this page in the response. By default this is included and can be omitted by setting the value to `false`."
},
"include-favorited-by-current-user-status": {
"type": "boolean",
"description": "Includes whether this page has been favorited by the current user."
},
"include-webresources": {
"type": "boolean",
"description": "Includes web resources that can be used to render page content on a client."
},
"include-collaborators": {
"type": "boolean",
"description": "Includes collaborators on the page."
},
"include-direct-children": {
"type": "boolean",
"description": "Includes direct children of the page, as defined in the `ChildrenResponse` object."
}
},
"required": [
"PCID",
"id"
]
}
confluence-pages_get_page_descendants
Get descendants of page Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The ID of the page. |
limit | integer | No | — | Maximum number of items per result to return. If more results exist, call the endpoint with the cursor to fetch the next set of results. |
depth | integer | No | — | Maximum depth of descendants to return. If more results are required, use the endpoint corresponding to the content type of the deepest descendant to fetch more descendants. |
cursor | string | No | — | Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The ID of the page."
},
"limit": {
"type": "integer",
"description": "Maximum number of items per result to return. If more results exist, call the endpoint with the cursor to fetch the next set of results."
},
"depth": {
"type": "integer",
"description": "Maximum depth of descendants to return. If more results are required, use the endpoint corresponding to the content type of the deepest descendant to fetch more descendants."
},
"cursor": {
"type": "string",
"description": "Used for pagination, this opaque cursor will be returned in the `next` URL in the `Link` response header. Use the relative URL in the `Link` header to retrieve the `next` set of results."
}
},
"required": [
"PCID",
"id"
]
}
confluence-pages_get_page_direct_children
Get direct children of a page Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The ID of the parent page. |
cursor | string | No | — | Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results. |
limit | integer | No | — | Maximum number of items per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results. |
sort | string | No | — | Used to sort the result by a particular field. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The ID of the parent page."
},
"cursor": {
"type": "string",
"description": "Used for pagination, this opaque cursor will be returned in the `next` URL in the `Link` response header. Use the relative URL in the `Link` header to retrieve the `next` set of results."
},
"limit": {
"type": "integer",
"description": "Maximum number of items per result to return. If more results exist, use the `Link` header to retrieve a relative URL that will return the next set of results."
},
"sort": {
"type": "string",
"description": "Used to sort the result by a particular field."
}
},
"required": [
"PCID",
"id"
]
}
confluence-pages_get_page_version_details
Get version details for page version Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page-id | integer | Yes | — | The ID of the page for which version details should be returned. |
version-number | integer | Yes | — | The version number of the page to be returned. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page-id": {
"type": "integer",
"description": "The ID of the page for which version details should be returned."
},
"version-number": {
"type": "integer",
"description": "The version number of the page to be returned."
}
},
"required": [
"PCID",
"page-id",
"version-number"
]
}
confluence-pages_get_page_versions
Get page versions Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The ID of the page to be queried for its versions. If you don’t know the page ID, use Get pages and filter the results. |
body-format | string | No | — | The content format types to be returned in the body field of the response. If available, the representation will be available under a response field of the same name under the body field. |
cursor | string | No | — | Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results. |
limit | integer | No | — | Maximum number of versions per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results. |
sort | string | No | — | Used to sort the result by a particular field. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The ID of the page to be queried for its versions. If you don't know the page ID, use Get pages and filter the results."
},
"body-format": {
"type": "string",
"description": "The content format types to be returned in the `body` field of the response. If available, the representation will be available under a response field of the same name under the `body` field.",
"enum": [
"storage",
"atlas_doc_format"
]
},
"cursor": {
"type": "string",
"description": "Used for pagination, this opaque cursor will be returned in the `next` URL in the `Link` response header. Use the relative URL in the `Link` header to retrieve the `next` set of results."
},
"limit": {
"type": "integer",
"description": "Maximum number of versions per result to return. If more results exist, use the `Link` header to retrieve a relative URL that will return the next set of results."
},
"sort": {
"type": "string",
"description": "Used to sort the result by a particular field.",
"enum": [
"modified-date",
"-modified-date"
]
}
},
"required": [
"PCID",
"id"
]
}
confluence-pages_get_pages
Get pages Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer[] | No | — | Filter the results based on page ids. Multiple page ids can be specified as a comma-separated list. |
space-id | integer[] | No | — | Filter the results based on space ids. Multiple space ids can be specified as a comma-separated list. |
sort | string | No | — | Used to sort the result by a particular field. |
status | string[] | No | — | Filter the results to pages based on their status. By default, current and archived are used. |
title | string | No | — | Filter the results to pages based on their title. |
body-format | string | No | — | The content format types to be returned in the body field of the response. If available, the representation will be available under a response field of the same name under the body field. |
subtype | string | No | — | Filter the results to pages based on their subtype. |
cursor | string | No | — | Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results. |
limit | integer | No | — | Maximum number of pages per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "array",
"items": {
"type": "integer",
"format": "int64"
},
"description": "Filter the results based on page ids. Multiple page ids can be specified as a comma-separated list."
},
"space-id": {
"type": "array",
"items": {
"type": "integer",
"format": "int64"
},
"description": "Filter the results based on space ids. Multiple space ids can be specified as a comma-separated list."
},
"sort": {
"type": "string",
"description": "Used to sort the result by a particular field.",
"enum": [
"id",
"-id",
"created-date",
"-created-date",
"modified-date",
"-modified-date",
"title",
"-title"
]
},
"status": {
"type": "array",
"items": {
"type": "string",
"enum": [
"current",
"archived",
"deleted",
"trashed"
]
},
"description": "Filter the results to pages based on their status. By default, `current` and `archived` are used."
},
"title": {
"type": "string",
"description": "Filter the results to pages based on their title."
},
"body-format": {
"type": "string",
"description": "The content format types to be returned in the `body` field of the response. If available, the representation will be available under a response field of the same name under the `body` field.",
"enum": [
"storage",
"atlas_doc_format"
]
},
"subtype": {
"type": "string",
"description": "Filter the results to pages based on their subtype.",
"enum": [
"live",
"page"
]
},
"cursor": {
"type": "string",
"description": "Used for pagination, this opaque cursor will be returned in the `next` URL in the `Link` response header. Use the relative URL in the `Link` header to retrieve the `next` set of results."
},
"limit": {
"type": "integer",
"description": "Maximum number of pages per result to return. If more results exist, use the `Link` header to retrieve a relative URL that will return the next set of results."
}
},
"required": [
"PCID"
]
}
confluence-pages_get_pages_in_space
Get pages in space Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The ID of the space for which pages should be returned. |
depth | string | No | — | Filter the results to pages at the root level of the space or to all pages in the space. |
sort | string | No | — | Used to sort the result by a particular field. |
status | string[] | No | — | Filter the results to pages based on their status. By default, current and archived are used. |
title | string | No | — | Filter the results to pages based on their title. |
body-format | string | No | — | The content format types to be returned in the body field of the response. If available, the representation will be available under a response field of the same name under the body field. |
cursor | string | No | — | Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results. |
limit | integer | No | — | Maximum number of pages per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The ID of the space for which pages should be returned."
},
"depth": {
"type": "string",
"description": "Filter the results to pages at the root level of the space or to all pages in the space.",
"enum": [
"all",
"root"
]
},
"sort": {
"type": "string",
"description": "Used to sort the result by a particular field.",
"enum": [
"id",
"-id",
"created-date",
"-created-date",
"modified-date",
"-modified-date",
"title",
"-title"
]
},
"status": {
"type": "array",
"items": {
"type": "string",
"enum": [
"current",
"archived",
"deleted",
"trashed"
]
},
"description": "Filter the results to pages based on their status. By default, `current` and `archived` are used."
},
"title": {
"type": "string",
"description": "Filter the results to pages based on their title."
},
"body-format": {
"type": "string",
"description": "The content format types to be returned in the `body` field of the response. If available, the representation will be available under a response field of the same name under the `body` field.",
"enum": [
"storage",
"atlas_doc_format"
]
},
"cursor": {
"type": "string",
"description": "Used for pagination, this opaque cursor will be returned in the `next` URL in the `Link` response header. Use the relative URL in the `Link` header to retrieve the `next` set of results."
},
"limit": {
"type": "integer",
"description": "Maximum number of pages per result to return. If more results exist, use the `Link` header to retrieve a relative URL that will return the next set of results."
}
},
"required": [
"PCID",
"id"
]
}
confluence-pages_update_blog_post
Update blog post Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The ID of the blog post to be updated. If you don’t know the blog post ID, use Get Blog Posts and filter the results. |
body | object | Yes | — | The body value |
createdAt | string | No | — | Created date of the blog post in the format of “yyyy-MM-ddTHH:mm:ss.SSSZ”. |
spaceId | string | No | — | ID of the containing space. This currently does not support moving the blog post to a different space. |
status | string | Yes | — | The updated status of the blog post. Note, if you change the status of a blog post from ‘current’ to ‘draft’ and it has an existing draft, the existing draft will be deleted in favor of the updated draft. Additionally, this endpoint can be used to restore a ‘trashed’ or ‘deleted’ blog post to ‘current’ status. For restoration, blog post contents will not be updated and only the blog post status will be changed. |
title | string | Yes | — | Title of the blog post. |
contentVersion | object | Yes | — | Content Version |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The ID of the blog post to be updated. If you don't know the blog post ID, use Get Blog Posts and filter the results."
},
"body": {
"type": "object",
"description": "The body value",
"properties": {
"representation": {
"type": "string",
"description": "Type of content representation used for the value field.",
"enum": [
"storage",
"atlas_doc_format",
"wiki"
]
},
"value": {
"type": "string",
"description": "Body of the blog post, in the format found in the representation field."
}
}
},
"createdAt": {
"type": "string",
"description": "Created date of the blog post in the format of \"yyyy-MM-ddTHH:mm:ss.SSSZ\"."
},
"spaceId": {
"type": "string",
"description": "ID of the containing space. This currently **does not support moving the blog post to a different space**."
},
"status": {
"type": "string",
"description": "The updated status of the blog post. Note, if you change the status of a blog post from 'current' to 'draft' and it has an existing draft, the existing draft will be deleted in favor of the updated draft. Additionally, this endpoint can be used to restore a 'trashed' or 'deleted' blog post to 'current' status. For restoration, blog post contents will not be updated and only the blog post status will be changed.",
"enum": [
"current",
"draft"
]
},
"title": {
"type": "string",
"description": "Title of the blog post."
},
"contentVersion": {
"type": "object",
"description": "Content Version",
"properties": {
"number": {
"type": "integer",
"description": "The new version number of the updated blog post. Set this to the current version number plus one, unless you are updating the status to 'draft' which requires a version number of 1. If you don't know the current version number, use Get blog post by id."
},
"message": {
"type": "string",
"description": "An optional message to be stored with the version."
}
}
}
},
"required": [
"PCID",
"id",
"body",
"status",
"title",
"contentVersion"
]
}
confluence-pages_update_page
Update page Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The ID of the page to be updated. If you don’t know the page ID, use Get Pages and filter the results. |
body | object | Yes | — | The body value |
ownerId | string | No | — | Account ID of the page owner. This allows page ownership to be transferred to another user. |
parentId | string | No | — | ID of the parent content. This allows the page to be moved under a different parent within the same space. |
spaceId | string | No | — | ID of the containing space. This currently does not support moving the page to a different space. |
status | string | Yes | — | The updated status of the page. Note, if you change the status of a page from ‘current’ to ‘draft’ and it has an existing draft, the existing draft will be deleted in favor of the updated draft. Additionally, this endpoint can be used to restore a ‘trashed’ or ‘deleted’ page to ‘current’ status. For restoration, page contents will not be updated and only the page status will be changed. |
title | string | Yes | — | Title of the page. |
contentVersion | object | Yes | — | Content Version |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The ID of the page to be updated. If you don't know the page ID, use Get Pages and filter the results."
},
"body": {
"type": "object",
"description": "The body value",
"properties": {
"representation": {
"type": "string",
"description": "Type of content representation used for the value field.",
"enum": [
"storage",
"atlas_doc_format",
"wiki"
]
},
"value": {
"type": "string",
"description": "Body of the page, in the format found in the representation field."
}
}
},
"ownerId": {
"type": "string",
"description": "Account ID of the page owner. This allows page ownership to be transferred to another user."
},
"parentId": {
"type": "string",
"description": "ID of the parent content. This allows the page to be moved under a different parent within the same space."
},
"spaceId": {
"type": "string",
"description": "ID of the containing space. This currently **does not support moving the page to a different space**."
},
"status": {
"type": "string",
"description": "The updated status of the page. Note, if you change the status of a page from 'current' to 'draft' and it has an existing draft, the existing draft will be deleted in favor of the updated draft. Additionally, this endpoint can be used to restore a 'trashed' or 'deleted' page to 'current' status. For restoration, page contents will not be updated and only the page status will be changed.",
"enum": [
"current",
"draft"
]
},
"title": {
"type": "string",
"description": "Title of the page."
},
"contentVersion": {
"type": "object",
"description": "Content Version",
"properties": {
"number": {
"type": "integer",
"description": "The new version of the updated page. Set this to the current version number plus one, unless you are updating the status to 'draft' which requires a version number of 1. If you don't know the current version number, use Get page by id."
},
"message": {
"type": "string",
"description": "An optional message to be stored with the version."
}
}
}
},
"required": [
"PCID",
"id",
"body",
"status",
"title",
"contentVersion"
]
}
confluence-pages_update_page_title
Update page title Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The ID of the page to be updated. If you don’t know the page ID, use Get Pages and filter the results |
status | string | Yes | — | The status of the page, current or draft. |
title | string | Yes | — | The updated title for the page |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The ID of the page to be updated. If you don't know the page ID, use Get Pages and filter the results"
},
"status": {
"type": "string",
"description": "The status of the page, current or draft.",
"enum": [
"current",
"draft"
]
},
"title": {
"type": "string",
"description": "The updated title for the page"
}
},
"required": [
"PCID",
"id",
"status",
"title"
]
}

